def somme(self, maya2):
    if self.nbEtages() != maya2.nbEtages():
        return None
    result = Maya()
    ret = 0
    while not self.estVide():
        ch1 = self.retirer()
        ch2 = maya2.retirer()
        ch_somme, ret = mystere(ch1, ch2, ret)
        result.ajouter(ch_somme)
    return result